Skip to main content
`Ctrl`+`K`

# Reference

This section contains reference materials for various parts of beets. To get started with beets as a new user, though, you may want to read the Getting Started guide first.

- Command-Line Interface
  - Commands
  - Global Flags
  - Shell Completion
- Configuration
  - Global Options
  - UI Options
  - Importer Options
  - Autotagger Matching Options
  - Path Format Configuration
  - Configuration Location
  - Example
- Path Formats
  - A Note About Artists
  - Template Functions
  - Album Disambiguation
  - Singleton Disambiguation
  - Syntax Details
  - Available Values
  - Template functions and values provided by plugins
- Queries
  - Keyword
  - Combining Keywords
  - Specific Fields
  - Phrases
  - Exact Matches
  - Regular Expressions
  - Numeric Range Queries
  - Date and Date Range Queries
  - Query Term Negation
  - Path Queries
  - Sort Order